Subject: bug#68183: 28.3; vc-dir fails when I have a certain branch checked out

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2024 15:46:56 +0300

> From: Kévin Le Gouguec <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 22 Aug 2024 09:15:06 +0200
> 
> +---
> +*** VC Directory buffers now display the upstream branch in Git repositories.
> +The "upstream branch" is the branch 'vc-pull' fetches changes from by
> +default.  In Git terms, the upstream branch of branch B is determined by
> +configuration variables branch.B.remote and branch.B.merge.

That's okay, with the following nit: I find phrases like "the branch
'vc-pull' fetches changes from by default" hard to grasp.  I prefer
rephrasing to make the grammar simpler:

  The "upstream branch" is the branch from which 'vc-pull' fetches
  changes by default.